View Issue Details

IDProjectCategoryView StatusLast Update
0002571SymmetricDSImprovementpublic2016-09-22 14:00
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.32 
Target Version3.7.33Fixed in Version3.7.33 
Summary0002571: Improve SQL Logging
DescriptionImprove SQL logging by:
1) Logging dynamic SQL statements by default, which are easier to read, and easier to play back for troubleshooting. E.g. log "select * from sym_data where data_id > 500" instead of
"select * from sym_data where data_id > ?"
"args: 500"

This functionality can be disabled, and the SQL with placeholders can be logged, by setting the following paramter:
log.sql.parameters.inline=false

2) Log SQL execution time in milliseconds as part of the log statement. E.g. (50ms.) select * from sym_data where data_id > 500

3) Whether debug is enabled or not, automatically log SQL at INFO level which takes longer than a certain threshold to execute. The default is currently 20 seconds. This can be changed by setting the following parameter:
log.slow.sql.threshold.millis=20000
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 f8c6ea5e

2016-04-20 23:35:29

mmichalek

Details Diff
0002571: Improve SQL Logging
0002571
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/AbstractSqlTemplate.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/LogSqlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlTemplateSettings.java Diff File
add - symmetric-db/src/test/java/org/jumpmind/db/sql/LogSqlBuilderTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

SymmetricDS: 3.8 6906107b

2016-09-22 13:22:45

mmichalek

Details Diff
0002571: Improve SQL Logging
0002571
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/LogSqlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

SymmetricDS: 3.8 46170424

2016-09-22 13:28:20

mmichalek

Details Diff
0002571: Improve SQL Logging
0002571
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

Issue History

Date Modified Username Field Change
2016-04-20 23:34 mmichalek New Issue
2016-04-20 23:34 mmichalek Status new => assigned
2016-04-20 23:34 mmichalek Assigned To => mmichalek
2016-04-20 23:36 mmichalek Status assigned => closed
2016-04-20 23:36 mmichalek Resolution open => fixed
2016-04-20 23:36 mmichalek Fixed in Version => 3.7.33
2016-04-20 23:37 mmichalek Status closed => feedback
2016-04-20 23:37 mmichalek Resolution fixed => reopened
2016-04-20 23:38 mmichalek Status feedback => resolved
2016-04-20 23:38 mmichalek Resolution reopened => fixed
2016-04-21 00:00 mmichalek Changeset attached => SymmetricDS 3.7 f8c6ea5e
2016-05-17 13:01 chenson Status resolved => closed
2016-09-22 14:00 mmichalek Changeset attached => SymmetricDS 3.8 46170424
2016-09-22 14:00 mmichalek Changeset attached => SymmetricDS 3.8 6906107b